summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
Diffstat (limited to 'etc')
-rwxr-xr-xetc/etc.i386/inst1.install9
1 files changed, 8 insertions, 1 deletions
diff --git a/etc/etc.i386/inst1.install b/etc/etc.i386/inst1.install
index 46fbf63..367a5e6 100755
--- a/etc/etc.i386/inst1.install
+++ b/etc/etc.i386/inst1.install
@@ -420,7 +420,14 @@ y*|Y*)
;;
esac
-mount -u /dev/fd0a /
+mount -u /dev/fd0a / || {
+ if mount -u /dev/fd1a / ; then
+ echo "[Please ignore the above error message, that's normal.]"
+ else
+ echo "Oh boy, we're in trouble here: Could not mount floppy read-write."
+ exit 1
+ fi
+}
sync
verified_install=""
while [ ! "$verified_install" ]; do # Begin of Big Loop
OpenPOWER on IntegriCloud